using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CWW
{
	/// <summary>
	/// Summary description for DirConfirm.
	/// </summary>
	public class DirConfirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label FirstName;
		protected System.Web.UI.WebControls.Label LastName;
		protected System.Web.UI.WebControls.Label Address;
		protected System.Web.UI.WebControls.Label City;
		protected System.Web.UI.WebControls.Label ProvState;
		protected System.Web.UI.WebControls.Label Country;
		protected System.Web.UI.WebControls.Label PostalZip;
		protected System.Web.UI.WebControls.Label Email;
		protected System.Web.UI.WebControls.Label SIN;
		protected System.Web.UI.WebControls.Label Telephone;
		protected System.Web.UI.WebControls.Label Mobile;
		protected System.Web.UI.WebControls.Label Work;
		protected System.Web.UI.WebControls.Label Fax;
		protected System.Web.UI.WebControls.Label Smoking;
		protected System.Web.UI.WebControls.Label cc;
		protected System.Web.UI.WebControls.Label NameCard;
		protected System.Web.UI.WebControls.Label ExpDate;
		protected System.Web.UI.WebControls.Label ContactName;
		protected System.Web.UI.WebControls.Label ContactTelephone;
		protected System.Web.UI.WebControls.Label Learn;
		protected System.Web.UI.WebControls.Label Ref1;
		protected System.Web.UI.WebControls.Label Ref2;
		protected System.Web.UI.WebControls.Label Ref3;
		protected System.Web.UI.WebControls.Label CoverLetter;
		protected System.Web.UI.WebControls.Label Scene;
		protected System.Web.UI.WebControls.Label Resume;
		protected System.Web.UI.WebControls.Label Photo;

		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile SceneFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile1;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile2;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile3;
		protected System.Web.UI.HtmlControls.HtmlInputFile SigFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile BioFile;
		protected DirApp dirApp;
		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected string strPhotoFileName;
		protected string strSceneFileName;
		protected string strRefFileName1;
		protected string strRefFileName2;
		protected string strSigFileName;
		protected System.Web.UI.WebControls.Label Signature;
		protected System.Web.UI.WebControls.Label Bio;
		protected string strRefFileName3;
		protected string strBioFileName;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			dirApp = (DirApp) Context.Handler;

			//set the uploaded files from form page
			CoverLetterFile = dirApp.getCoverLetterFile();
			ResumeFile = dirApp.getResumeFile();
			PhotoFile = dirApp.getPhotoFile();
			SceneFile = dirApp.getSceneFile();
			RefFile1 = dirApp.getRefFile1();
			RefFile2 = dirApp.getRefFile2();
			RefFile3 = dirApp.getRefFile3();
			SigFile = dirApp.getSigFile();
			BioFile = dirApp.getBioFile();
				
			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);
			strRefFileName1 = System.IO.Path.GetFileName(RefFile1.PostedFile.FileName);
			strRefFileName2 = System.IO.Path.GetFileName(RefFile2.PostedFile.FileName);
			strRefFileName3 = System.IO.Path.GetFileName(RefFile3.PostedFile.FileName);
			strSceneFileName = System.IO.Path.GetFileName(SceneFile.PostedFile.FileName);
			strSigFileName = System.IO.Path.GetFileName(SigFile.PostedFile.FileName);
			strBioFileName = System.IO.Path.GetFileName(BioFile.PostedFile.FileName);

			//set the values for all the fields
			FirstName.Text = dirApp.getFirstName();
			LastName.Text = dirApp.getLastName();
			Address.Text = dirApp.getAddress();
			City.Text = dirApp.getCity();
			ProvState.Text = dirApp.getProv();
			Country.Text = dirApp.getCountry();
			PostalZip.Text = dirApp.getPostal();
			Email.Text = dirApp.getEmail();
			SIN.Text = dirApp.getSIN();
			Telephone.Text = dirApp.getTelephone();
			Mobile.Text = dirApp.getMobile();
			Work.Text = dirApp.getWork();
			Fax.Text = dirApp.getFax();
			Smoking.Text = dirApp.getSmoking();
			ContactName.Text = dirApp.getContactName();
			ContactTelephone.Text = dirApp.getContactTelephone();
			Learn.Text = dirApp.getLearn();
			CoverLetter.Text = CoverLetterFile.Value;
			Resume.Text = ResumeFile.Value;
			Photo.Text = PhotoFile.Value;
			cc.Text = dirApp.getCC();
			NameCard.Text = dirApp.getCCName();
			ExpDate.Text = dirApp.getExpField();
			Ref1.Text = RefFile1.Value;
			Ref2.Text = RefFile2.Value;
			Ref3.Text = RefFile3.Value;
			Scene.Text = SceneFile.Value;
			Signature.Text = SigFile.Value;
			Bio.Text = BioFile.Value;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
